Bug 152930 - file selection in attaching documents very very slow
file selection in attaching documents very very slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-30 20:04 EST by Paul Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 05:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2005-03-30 20:04:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Attaching files to emails is now very very slow. I think the problem is in the file selection component, which got tedious in FC3 and is now downright impossible.  After the most recent thunderbird update, this takes a minute or two before it shows the files.  In my home dir, I probably have 20 directories, and some have thousands of files each, and so when I tell it I want to find something in my home, there is a long lag. I think it is building a map of all files.

I really hate this point and click file selector, and wish I could type a file name in and not wait for the display to update.

Version-Release number of selected component (if applicable):
thunderbird-1.0.2-1.3.2

How reproducible:
Always

Steps to Reproduce:
1. Create a new email message,
2. choose attach and point and click to the top of some big directory structure

wait a long time to see file list on right side.
  

Actual Results:  it is slow

Expected Results:  it was fast before most recent changes.

Additional info:
Comment 1 Christopher Aillon 2005-03-31 05:26:03 EST
The file selector is everywhere else.  It's not thunderbird's fault the file
selector is slow for you.  That's a gtk2 issue if anything.

Note You need to log in before you can comment on or make changes to this bug.